#ifndef IGU_H
#define IGU_H

#include "uploadthread.h"
#include "ui_main.h"

class QSettings;
class QStandardItemModel;

class IGU : public QWidget, private Ui::main
{
	Q_OBJECT

public:
	IGU(QWidget *parent = 0);

signals:
    void setLoginData(const QString & website, const QString & username, const QString & password);
    void setCategory(const int & category);
    void setResize(const int & resize);
    void setResizeData(const int & maxwidth, const int & maxheight);
    void setFilelistData(QStandardItemModel & filelistmodel);
    void setImageData(QImage *img);
    void startUpload();
    void getCategories();

private slots:
    void websiteChanged( const QString & str );
    void usernameChanged( const QString & str );
    void passwordChanged( const QString & str );
    void categoryChanged( const int & cat );
    void maxWidthChanged( const QString & val );
    void maxHeightChanged( const QString & val );
    void checkresizeChanged( const int & state);
    void uploadFilelist();
    void addFiles();
    void addFilesFromClipboard();
    void removeFiles();
    void filelistSelectionChanged ( const QItemSelection &  selected, const QItemSelection & deselected );
    void catlistClicked(QModelIndex ind);
    void updateCategories(const QByteArray &ba);
    void butcatPressed();

protected:
    void addFilesfromArguments();

private:
    QSettings *settings;
    QStandardItemModel *filelistmodel;
    QStandardItemModel *catlistmodel;
    uploadThread *thread;

};


#endif
